Subject: [bug#57954] Some details about why and see if there is no other solution.

From: Nicolas Graves <[email-masked]>
Date: Sat, 24 Sep 2022 10:37:54 +0200

>    * compile the static library as -fPIC (your patch)
>    * let kaldi link to a shared clapack (which is -fPIC by default)

> Hence, my proposed (and untested) solution is to make 'kaldi' link to a
> shared clapack.

Thanks Maxime for your quick answer. 

Just to be sure of what that would imply (using the second answer here:
https://stackoverflow.com/questions/2649735/how-to-link-static-library-into-dynamic-library-in-gcc):

1) We keep the version of clapack patched for -fPIC.
2) I need to make a package providing a shared version of clapack based
on this version of clapack compiled with -fPIC.

Also, my original patch is wrong, I'll send a corrected one once I
understand the process.

-- 
Best regards,
Nicolas Graves